Subject: Re: gdb running in background
From: "Dave Arnold" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 28 Jun 2000 16:19:19 -0700

If you're doing a console style app, couldn't you just use printf?
Another thought is perhaps writing to an error log file and
using tail -f <logfilename>  to act as a sort of console to
view the debug strings as they are written to the log.

If you have more than one executeable accessing the log
at the same time, that might be a little trickier, but it might
be possible based on how you open the file to allow sharing.
I've never done that before.  A thought on that is perhaps
have each process open the log, print, close the log...that
way they're not blocking other processes from writing all
the time.  You'll have to add some checking code to see
if the file is locked on each open attempt and perhaps a wait
until it's free.

/dAVe

-----Original Message-----
From: [email-masked] <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Wednesday, June 28, 2000 10:22 AM
Subject: gdb running in background

>Is there some way that one can run gdb so that it will just sit there, and
>display any OutputDebugString() messages that are called?  I know gdb will
>display them, if you are currently debugging that program, but this seems
>kind of clunky if I just want to see debug updates, especially if I have
more
>than one executable.
>
>Any help is appreciated,
>Jason Craig
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]